<?php

  $software_it_company_color_palette_css = '';

	// Global Color

	$software_it_company_first_color = software_it_company_get_option('software_it_company_first_color');

	if($software_it_company_first_color != false){
		$software_it_company_color_palette_css .=':root {';
			$software_it_company_color_palette_css .='--primary-color: '.esc_attr($software_it_company_first_color).'!important;';
		$software_it_company_color_palette_css .='}';
	}

  /*-------------- Copyright Text Align-------------------*/

	$software_it_company_copyright_text_align = software_it_company_get_option('software_it_company_copyright_text_align');
	$software_it_company_color_palette_css .='.site-footer{';
	$software_it_company_color_palette_css .='text-align: '.esc_attr($software_it_company_copyright_text_align).' !important;';
	$software_it_company_color_palette_css .='}';
	$software_it_company_color_palette_css .='
	@media screen and (max-width:575px) {
	.site-footer{';
	$software_it_company_color_palette_css .='text-align: center !important;';
	$software_it_company_color_palette_css .='} }';

  // copyright font size
	$software_it_company_copyright_text_font_size = software_it_company_get_option('software_it_company_copyright_text_font_size');
	$software_it_company_color_palette_css .='#colophon p, #colophon a , #colophon{';
	$software_it_company_color_palette_css .='font-size: '.esc_attr($software_it_company_copyright_text_font_size).'px;';
	$software_it_company_color_palette_css .='}';

	// Copyright Background Color
	$software_it_company_copyright_background_color = software_it_company_get_option('software_it_company_copyright_background_color');
	$software_it_company_color_palette_css .='#colophon {';
	$software_it_company_color_palette_css .='background: '.esc_attr($software_it_company_copyright_background_color);
	$software_it_company_color_palette_css .='}';

	// Copyright Text Color
	$software_it_company_copyright_text_color = software_it_company_get_option('software_it_company_copyright_text_color');
	$software_it_company_color_palette_css .='#colophon a , #colophon{';
	$software_it_company_color_palette_css .='color: '.esc_attr($software_it_company_copyright_text_color);
	$software_it_company_color_palette_css .='}';
	
	// Site title And tagline Option
	$software_it_company_site_title_font_size = software_it_company_get_option('software_it_company_site_title_font_size');
	$software_it_company_site_title_color = software_it_company_get_option('software_it_company_site_title_color');
	$software_it_company_color_palette_css .='.site-title>a , .site-title {';
		$software_it_company_color_palette_css .='font-size: '.esc_attr($software_it_company_site_title_font_size).'px;';
		$software_it_company_color_palette_css .='color: '.esc_attr($software_it_company_site_title_color).';';
	$software_it_company_color_palette_css .='}';
	
	$software_it_company_site_tagline_font_size = software_it_company_get_option('software_it_company_site_tagline_font_size');
	if($software_it_company_site_tagline_font_size != false){
		$software_it_company_color_palette_css .='.site-description {';
			$software_it_company_color_palette_css .='font-size: '.esc_attr($software_it_company_site_tagline_font_size).'px;';
		$software_it_company_color_palette_css .='}';
	}

	//First Cap
	$software_it_company_show_first_caps = software_it_company_get_option('software_it_company_show_first_caps', false);
	if($software_it_company_show_first_caps == 'true' ){
	$software_it_company_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter{';
	$software_it_company_color_palette_css .=' font-size: 50px; font-weight: 600;';
	$software_it_company_color_palette_css .=' margin-right: 5px;';
	$software_it_company_color_palette_css .=' line-height: 1;';
	$software_it_company_color_palette_css .='}';
	}elseif($software_it_company_show_first_caps == 'false' ){
	$software_it_company_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter {';
	$software_it_company_color_palette_css .='display: none;';
	$software_it_company_color_palette_css .='}';
	}

	// preloader background image
	$software_it_company_show_preloader_background_image = software_it_company_get_option('software_it_company_show_preloader_background_image');
	if($software_it_company_show_preloader_background_image != false){
		$software_it_company_color_palette_css .='#preloader {';
			$software_it_company_color_palette_css .='background: url('.esc_attr($software_it_company_show_preloader_background_image).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$software_it_company_color_palette_css .='}';
	}

	// Sticky Copyright

	$software_it_company_resp_stickycopyright = software_it_company_get_option( 'software_it_company_stickycopyright_hide_show',false);
    if($software_it_company_resp_stickycopyright == true && software_it_company_get_option( 'software_it_company_copyright_sticky',false) != true){
        $software_it_company_color_palette_css  .='.copyright-sticky{';
            $software_it_company_color_palette_css  .='position:static;';
        $software_it_company_color_palette_css  .='} ';
    }